> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all groups for a workspace (including system groups)



## OpenAPI

````yaml /api-reference/data-api.json get /v2/groups
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.9
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/groups:
    get:
      tags:
        - Groups
      summary: List all groups for a workspace (including system groups)
      operationId: list
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGroupsResponseDto'
components:
  schemas:
    ListGroupsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceGroupDto'
      required:
        - items
    WorkspaceGroupDto:
      type: object
      properties:
        id:
          type: string
          example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        workspace_id:
          type: string
          nullable: true
          example: workspace-123
        name:
          type: string
          example: Finance
        is_system:
          type: boolean
          example: false
        created_at:
          type: string
          example: '2025-01-01T00:00:00.000Z'
        updated_at:
          type: string
          example: '2025-01-01T00:00:00.000Z'
      required:
        - id
        - name
        - is_system
        - created_at
        - updated_at
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````